package com.tuoheng.admin.service.inspectionfile;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.tuoheng.admin.entity.InspectionFileCheckRecord;
import com.tuoheng.admin.mapper.InspectionFileCheckRecordMapper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 任务问题管理 前端控制器
 *
 * @Author ChengWang
 * @Date 2022/11/29
 */
@Service
@Slf4j
public class InspectionFileCheckRecordsServiceImpl implements IInspectionFileCheckRecordsService {

    @Autowired
    private InspectionFileCheckRecordMapper inspectionFileCheckRecordMapper;

    //新增审核记录
    public Boolean insert(InspectionFileCheckRecord inspectionFileCheckRecord){
        int insert = inspectionFileCheckRecordMapper.insert(inspectionFileCheckRecord);
        if (insert < 1){
            return false;
        }
        return true;
    }

    //查询历史审核记录表
    public List<InspectionFileCheckRecord> list(LambdaQueryWrapper<InspectionFileCheckRecord> queryWrapper){
        return inspectionFileCheckRecordMapper.selectList(queryWrapper);
    }


}
